> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipsuite.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer Asset

> Transfer onchain assets to arbitrary wallets



## OpenAPI

````yaml POST /v1/community/tipping/transfers
openapi: 3.1.0
info:
  version: 1.0.0
  title: Flipsuite API
servers:
  - url: https://api.flipsuite.xyz
security: []
paths:
  /v1/community/tipping/transfers:
    post:
      description: Transfer onchain assets in your server
      parameters:
        - in: header
          name: x-api-key
          description: Your community API key
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              example:
                channelId: '1234567890123456789'
                recipientAddress: '0x8dd3b9bc6f6179b8e251b8f56b2e417e74e5227e'
                item:
                  type: TOKEN
                  chain: Polygon
                  tokenAddress: '0x162539172b53e9a93b7d98fb6c41682de558a320'
                  amount: 1000
              type: object
              properties:
                channelId:
                  description: >-
                    ID of a Discord channel in your server where the transfer
                    should be sent.
                  type: string
                  pattern: ^\d+$
                recipientAddress:
                  description: Wallet address to send the assets to.
                  type: string
                  maxLength: 128
                item:
                  description: Token or NFT to transfer.
                  anyOf:
                    - $ref: '#/components/schemas/__schema9'
                    - $ref: '#/components/schemas/__schema11'
                comment:
                  description: >-
                    Note that will be shown on the "Transfer successful"
                    message.
                  anyOf:
                    - type: string
                      maxLength: 256
                    - type: 'null'
                hideNotification:
                  description: >-
                    Whether to hide the public "Transfer successful" channel
                    notification after sending the asset.
                  anyOf:
                    - type: boolean
                    - type: 'null'
              required:
                - channelId
                - recipientAddress
                - item
      responses:
        '201':
          description: Transfer has been executed successfully
components:
  schemas:
    __schema9:
      title: Token
      type: object
      properties:
        type:
          type: string
          const: TOKEN
        chain:
          $ref: '#/components/schemas/__schema10'
        tokenAddress:
          description: >-
            Address of a token supported by Flipsuite. Leave blank for
            native/gas tokens (e.g. ETH on Base).
          anyOf:
            - type: string
              maxLength: 256
            - type: 'null'
        amount:
          description: Token amount.
          type: number
          exclusiveMinimum: 0
        amountUnit:
          description: Amount unit.
          anyOf:
            - type: string
              enum:
                - absolute
                - dollar
            - type: 'null'
      required:
        - type
        - chain
        - amount
    __schema11:
      title: NFT
      type: object
      properties:
        type:
          type: string
          const: NFT
        chain:
          $ref: '#/components/schemas/__schema10'
        tokenAddress:
          description: Token address of the NFT. Leave blank on Solana.
          anyOf:
            - type: string
              maxLength: 256
            - type: 'null'
        tokenId:
          description: ID of the NFT.
          type: string
          maxLength: 256
        amount:
          description: NFT amount (applicable only to ERC-1155 NFTs).
          anyOf:
            - type: integer
              minimum: 1
              maximum: 9007199254740991
            - type: 'null'
      required:
        - type
        - chain
        - tokenId
    __schema10:
      description: Unique chain identifier in Flipsuite
      type: string
      enum:
        - Abstract
        - ApeChain
        - Arbitrum
        - Atto
        - Avalanche
        - Base
        - Berachain
        - Blast
        - BSC
        - CosmosHub
        - Cronos
        - Ethereum
        - Harmony
        - HyperCore
        - HyperEvm
        - Initia
        - Injective
        - Intergaze
        - Linea
        - Mitosis
        - Nano
        - Nibiru
        - Optimism
        - Osmosis
        - Pepecoin
        - Plasma
        - Polygon
        - Robinhood
        - SEDA
        - Sei
        - SeiEvm
        - Solana
        - Somnia
        - Sonic
        - Stargaze
        - Terra
        - Unichain
        - Yominet
        - Zaar
        - zkCronos

````